Donate to e Foundation | Murena handsets with /e/OS | Own a part of Murena! Learn more

Commit 7f333cbf authored by Jiri Pirko's avatar Jiri Pirko Committed by David S. Miller
Browse files

selftests: forwarding: move shblock tc support check to a separate helper



The shared block support is only needed for tc_shblock.sh. No need to
require that for other test.

Signed-off-by: default avatarJiri Pirko <jiri@mellanox.com>
Signed-off-by: default avatarDavid S. Miller <davem@davemloft.net>
parent e2f2a1fd
Loading
Loading
Loading
Loading
+3 −0
Original line number Diff line number Diff line
@@ -33,7 +33,10 @@ check_tc_version()
		echo "SKIP: iproute2 too old; tc is missing JSON support"
		exit 1
	fi
}

check_tc_shblock_support()
{
	tc filter help 2>&1 | grep block &> /dev/null
	if [[ $? -ne 0 ]]; then
		echo "SKIP: iproute2 too old; tc is missing shared block support"
+2 −0
Original line number Diff line number Diff line
@@ -105,6 +105,8 @@ cleanup()
	ip link set $swp2 address $swp2origmac
}

check_tc_shblock_support

trap cleanup EXIT

setup_prepare